diff --git a/TvEngine3/TVLibrary/SetupTv/57_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/57_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..0b32dc9
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/57_upgrade_sqlite_database.sql
@@ -0,0 +1,25 @@
+DROP INDEX IX_Channel_IsTV;
+--GO
+
+--ALTER TABLE Channel DROP COLUMN name;
+--ALTER TABLE Channel DROP COLUMN freetoair;
+
+ALTER TABLE Channel RENAME TO sqlitestudio_temp_table;
+
+CREATE TABLE Channel (idChannel INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, isRadio bit NOT NULL, 
+isTv bit NOT NULL, timesWatched INTEGER NOT NULL, totalTimeWatched datetime NOT NULL, 
+grabEpg bit NOT NULL, lastGrabTime datetime NOT NULL, sortOrder INTEGER NOT NULL, 
+visibleInGuide bit NOT NULL, externalId varchar (200) COLLATE NOCASE NOT NULL, 
+displayName varchar (200) COLLATE NOCASE NOT NULL, epgHasGaps bit NOT NULL);
+
+INSERT INTO Channel (idChannel, isRadio, isTv, timesWatched, totalTimeWatched, grabEpg, lastGrabTime, sortOrder, visibleInGuide, externalId, displayName, epgHasGaps) 
+SELECT idChannel, isRadio, isTv, timesWatched, totalTimeWatched, grabEpg, lastGrabTime, sortOrder, visibleInGuide, externalId, displayName, epgHasGaps FROM sqlitestudio_temp_table;
+
+DROP TABLE sqlitestudio_temp_table;
+--GO
+
+CREATE INDEX IX_Channel_IsTV ON Channel (isTv ASC, sortOrder ASC);
+--GO
+
+UPDATE Version SET versionNumber=57;
+--GO
diff --git a/TvEngine3/TVLibrary/SetupTv/58_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/58_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..4e117c9
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/58_upgrade_sqlite_database.sql
@@ -0,0 +1,10 @@
+
+ALTER TABLE SoftwareEncoder ADD reusable bit NOT NULL DEFAULT 1;
+--GO
+
+INSERT INTO Setting (tag, value) VALUES ('softwareEncoderReuseLimit', '0');
+--GO
+
+UPDATE Version SET versionNumber = 58;
+--GO
+
diff --git a/TvEngine3/TVLibrary/SetupTv/59_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/59_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..d503941
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/59_upgrade_sqlite_database.sql
@@ -0,0 +1,31 @@
+-- Can't see what the script changes from v54, but I recreate the table anyway
+
+ALTER TABLE Card RENAME TO sqlitestudio_temp_table;
+
+CREATE TABLE Card (
+	idCard INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
+	devicePath varchar (2000) COLLATE NOCASE NOT NULL, 
+	name varchar (200) COLLATE NOCASE NOT NULL, 
+	priority INTEGER NOT NULL, grabEPG bit NOT NULL, 
+	lastEpgGrab datetime NOT NULL, 
+	recordingFolder varchar (256) COLLATE NOCASE NOT NULL, 
+	idServer INTEGER NOT NULL, 
+	enabled bit NOT NULL, 
+	camType INTEGER NOT NULL, 
+	timeshiftingFolder varchar (256) COLLATE NOCASE NOT NULL, 
+	recordingFormat INTEGER NOT NULL, 
+	decryptLimit INTEGER NOT NULL, 
+	preload bit NOT NULL DEFAULT 0, 
+	stopgraph bit NOT NULL DEFAULT 1
+);
+
+INSERT INTO Card (idCard, devicePath, name, priority, grabEPG, lastEpgGrab, recordingFolder, idServer, enabled, camType, timeshiftingFolder, recordingFormat, decryptLimit, preload, stopgraph) 
+SELECT idCard, devicePath, name, priority, grabEPG, lastEpgGrab, recordingFolder, idServer, enabled, camType, timeshiftingFolder, recordingFormat, decryptLimit, preload, stopgraph FROM sqlitestudio_temp_table;
+
+DROP TABLE sqlitestudio_temp_table;
+--GO
+
+UPDATE Version SET versionNumber=59;
+--GO
+
+
diff --git a/TvEngine3/TVLibrary/SetupTv/60_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/60_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..a81cdae
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/60_upgrade_sqlite_database.sql
@@ -0,0 +1,6 @@
+
+UPDATE Card SET stopgraph = 1;
+--GO
+
+UPDATE Version SET versionNumber=60;
+--GO
diff --git a/TvEngine3/TVLibrary/SetupTv/61_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/61_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..5905762
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/61_upgrade_sqlite_database.sql
@@ -0,0 +1,20 @@
+ALTER TABLE Channel ADD channelNumber INTEGER NOT NULL DEFAULT 10000;
+--GO
+
+
+WITH chans (idChannel, channelNumber)
+AS (
+	SELECT t.idChannel, MIN(t.channelNumber) AS channelNumber
+	FROM TuningDetail t
+	JOIN Channel c ON c.idChannel=t.idChannel
+	GROUP BY t.idChannel
+)
+UPDATE Channel SET channelNumber = (SELECT channelNumber
+FROM chans
+WHERE idChannel=Channel.idChannel);
+--GO
+
+
+
+UPDATE Version SET versionNumber=61;
+--GO
diff --git a/TvEngine3/TVLibrary/SetupTv/SetupDatabaseForm.Designer.cs b/TvEngine3/TVLibrary/SetupTv/SetupDatabaseForm.Designer.cs
index 6f0a24b..8a887d2 100644
--- a/TvEngine3/TVLibrary/SetupTv/SetupDatabaseForm.Designer.cs
+++ b/TvEngine3/TVLibrary/SetupTv/SetupDatabaseForm.Designer.cs
@@ -29,6 +29,7 @@ namespace SetupTv
     private void InitializeComponent()
     {
       this.gbConnectionSetup = new System.Windows.Forms.GroupBox();
+      this.rbSqlite = new System.Windows.Forms.RadioButton();
       this.gbDbLogon = new System.Windows.Forms.GroupBox();
       this.labelPwd = new System.Windows.Forms.Label();
       this.lblUserId = new MediaPortal.UserInterface.Controls.MPLabel();
@@ -43,23 +44,27 @@ namespace SetupTv
       this.lbServerHostname = new MediaPortal.UserInterface.Controls.MPLabel();
       this.tbServerHostName = new MediaPortal.UserInterface.Controls.MPTextBox();
       this.lblDBChoice = new System.Windows.Forms.LinkLabel();
-      this.pbMySQL = new System.Windows.Forms.PictureBox();
-      this.pbSQLServer = new System.Windows.Forms.PictureBox();
       this.rbMySQL = new System.Windows.Forms.RadioButton();
       this.rbSQLServer = new System.Windows.Forms.RadioButton();
       this.btnTest = new MediaPortal.UserInterface.Controls.MPButton();
       this.btnSave = new MediaPortal.UserInterface.Controls.MPButton();
       this.mpLabel1 = new MediaPortal.UserInterface.Controls.MPLabel();
       this.btnDrop = new MediaPortal.UserInterface.Controls.MPButton();
+      this.pbSQLite = new System.Windows.Forms.PictureBox();
+      this.pbMySQL = new System.Windows.Forms.PictureBox();
+      this.pbSQLServer = new System.Windows.Forms.PictureBox();
       this.gbConnectionSetup.SuspendLayout();
       this.gbDbLogon.SuspendLayout();
       this.gbServerLocation.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.pbSQLite)).BeginInit();
       ((System.ComponentModel.ISupportInitialize)(this.pbMySQL)).BeginInit();
       ((System.ComponentModel.ISupportInitialize)(this.pbSQLServer)).BeginInit();
       this.SuspendLayout();
       // 
       // gbConnectionSetup
       // 
+      this.gbConnectionSetup.Controls.Add(this.pbSQLite);
+      this.gbConnectionSetup.Controls.Add(this.rbSqlite);
       this.gbConnectionSetup.Controls.Add(this.gbDbLogon);
       this.gbConnectionSetup.Controls.Add(this.gbServerLocation);
       this.gbConnectionSetup.Controls.Add(this.lblDBChoice);
@@ -69,11 +74,23 @@ namespace SetupTv
       this.gbConnectionSetup.Controls.Add(this.rbSQLServer);
       this.gbConnectionSetup.Location = new System.Drawing.Point(12, 12);
       this.gbConnectionSetup.Name = "gbConnectionSetup";
-      this.gbConnectionSetup.Size = new System.Drawing.Size(374, 414);
+      this.gbConnectionSetup.Size = new System.Drawing.Size(561, 414);
       this.gbConnectionSetup.TabIndex = 0;
       this.gbConnectionSetup.TabStop = false;
       this.gbConnectionSetup.Text = "Connection settings";
       // 
+      // rbSqlite
+      // 
+      this.rbSqlite.AutoSize = true;
+      this.rbSqlite.Location = new System.Drawing.Point(390, 122);
+      this.rbSqlite.Name = "rbSqlite";
+      this.rbSqlite.Size = new System.Drawing.Size(57, 17);
+      this.rbSqlite.TabIndex = 13;
+      this.rbSqlite.TabStop = true;
+      this.rbSqlite.Text = "SQLite";
+      this.rbSqlite.UseVisualStyleBackColor = true;
+      this.rbSqlite.CheckedChanged += new System.EventHandler(this.rbSqlite_CheckedChanged);
+      // 
       // gbDbLogon
       // 
       this.gbDbLogon.Controls.Add(this.labelPwd);
@@ -137,8 +154,8 @@ namespace SetupTv
       // 
       // gbServerLocation
       // 
-      this.gbServerLocation.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.gbServerLocation.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.gbServerLocation.Controls.Add(this.tbDatabaseName);
       this.gbServerLocation.Controls.Add(this.lblDbName);
       this.gbServerLocation.Controls.Add(this.tbServiceDependency);
@@ -148,18 +165,18 @@ namespace SetupTv
       this.gbServerLocation.Enabled = false;
       this.gbServerLocation.Location = new System.Drawing.Point(19, 154);
       this.gbServerLocation.Name = "gbServerLocation";
-      this.gbServerLocation.Size = new System.Drawing.Size(335, 109);
+      this.gbServerLocation.Size = new System.Drawing.Size(522, 109);
       this.gbServerLocation.TabIndex = 1;
       this.gbServerLocation.TabStop = false;
       this.gbServerLocation.Text = "Database location: ";
       // 
       // tbDatabaseName
       // 
-      this.tbDatabaseName.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.tbDatabaseName.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.tbDatabaseName.Location = new System.Drawing.Point(99, 74);
       this.tbDatabaseName.Name = "tbDatabaseName";
-      this.tbDatabaseName.Size = new System.Drawing.Size(220, 20);
+      this.tbDatabaseName.Size = new System.Drawing.Size(407, 20);
       this.tbDatabaseName.TabIndex = 5;
       this.tbDatabaseName.TextChanged += new System.EventHandler(this.tbDatabaseName_TextChanged);
       // 
@@ -174,11 +191,11 @@ namespace SetupTv
       // 
       // tbServiceDependency
       // 
-      this.tbServiceDependency.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.tbServiceDependency.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.tbServiceDependency.Location = new System.Drawing.Point(99, 48);
       this.tbServiceDependency.Name = "tbServiceDependency";
-      this.tbServiceDependency.Size = new System.Drawing.Size(220, 20);
+      this.tbServiceDependency.Size = new System.Drawing.Size(407, 20);
       this.tbServiceDependency.TabIndex = 4;
       this.tbServiceDependency.TextChanged += new System.EventHandler(this.tbServiceDependency_TextChanged);
       // 
@@ -202,11 +219,11 @@ namespace SetupTv
       // 
       // tbServerHostName
       // 
-      this.tbServerHostName.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.tbServerHostName.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.tbServerHostName.Location = new System.Drawing.Point(99, 22);
       this.tbServerHostName.Name = "tbServerHostName";
-      this.tbServerHostName.Size = new System.Drawing.Size(220, 20);
+      this.tbServerHostName.Size = new System.Drawing.Size(407, 20);
       this.tbServerHostName.TabIndex = 3;
       this.tbServerHostName.TextChanged += new System.EventHandler(this.tbServerHostName_TextChanged);
       // 
@@ -223,30 +240,6 @@ namespace SetupTv
       this.lblDBChoice.UseCompatibleTextRendering = true;
       this.lblDBChoice.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.lblDBChoice_LinkClicked);
       // 
-      // pbMySQL
-      // 
-      this.pbMySQL.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
-      this.pbMySQL.Image = global::SetupTv.Properties.Resources.logo_MySQL;
-      this.pbMySQL.Location = new System.Drawing.Point(204, 41);
-      this.pbMySQL.Name = "pbMySQL";
-      this.pbMySQL.Size = new System.Drawing.Size(150, 75);
-      this.pbMySQL.SizeMode = System.Windows.Forms.PictureBoxSizeMode.Zoom;
-      this.pbMySQL.TabIndex = 12;
-      this.pbMySQL.TabStop = false;
-      this.pbMySQL.Click += new System.EventHandler(this.pbMySQL_Click);
-      // 
-      // pbSQLServer
-      // 
-      this.pbSQLServer.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
-      this.pbSQLServer.Image = global::SetupTv.Properties.Resources.logo_MSSQL;
-      this.pbSQLServer.Location = new System.Drawing.Point(19, 41);
-      this.pbSQLServer.Name = "pbSQLServer";
-      this.pbSQLServer.Size = new System.Drawing.Size(150, 75);
-      this.pbSQLServer.SizeMode = System.Windows.Forms.PictureBoxSizeMode.Zoom;
-      this.pbSQLServer.TabIndex = 11;
-      this.pbSQLServer.TabStop = false;
-      this.pbSQLServer.Click += new System.EventHandler(this.pbSQLServer_Click);
-      // 
       // rbMySQL
       // 
       this.rbMySQL.AutoSize = true;
@@ -274,7 +267,7 @@ namespace SetupTv
       // btnTest
       // 
       this.btnTest.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-      this.btnTest.Location = new System.Drawing.Point(229, 432);
+      this.btnTest.Location = new System.Drawing.Point(417, 432);
       this.btnTest.Name = "btnTest";
       this.btnTest.Size = new System.Drawing.Size(75, 23);
       this.btnTest.TabIndex = 3;
@@ -286,7 +279,7 @@ namespace SetupTv
       // 
       this.btnSave.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
       this.btnSave.Enabled = false;
-      this.btnSave.Location = new System.Drawing.Point(310, 432);
+      this.btnSave.Location = new System.Drawing.Point(498, 432);
       this.btnSave.Name = "btnSave";
       this.btnSave.Size = new System.Drawing.Size(75, 23);
       this.btnSave.TabIndex = 3;
@@ -307,7 +300,7 @@ namespace SetupTv
       // 
       this.btnDrop.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
       this.btnDrop.Enabled = false;
-      this.btnDrop.Location = new System.Drawing.Point(310, 432);
+      this.btnDrop.Location = new System.Drawing.Point(498, 432);
       this.btnDrop.Name = "btnDrop";
       this.btnDrop.Size = new System.Drawing.Size(75, 23);
       this.btnDrop.TabIndex = 3;
@@ -316,11 +309,46 @@ namespace SetupTv
       this.btnDrop.Visible = false;
       this.btnDrop.Click += new System.EventHandler(this.btnDrop_Click);
       // 
+      // pbSQLite
+      // 
+      this.pbSQLite.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
+      this.pbSQLite.Image = global::SetupTv.Properties.Resources.logo_SQLite;
+      this.pbSQLite.Location = new System.Drawing.Point(390, 41);
+      this.pbSQLite.Name = "pbSQLite";
+      this.pbSQLite.Size = new System.Drawing.Size(150, 75);
+      this.pbSQLite.SizeMode = System.Windows.Forms.PictureBoxSizeMode.Zoom;
+      this.pbSQLite.TabIndex = 14;
+      this.pbSQLite.TabStop = false;
+      // 
+      // pbMySQL
+      // 
+      this.pbMySQL.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
+      this.pbMySQL.Image = global::SetupTv.Properties.Resources.logo_MySQL;
+      this.pbMySQL.Location = new System.Drawing.Point(204, 41);
+      this.pbMySQL.Name = "pbMySQL";
+      this.pbMySQL.Size = new System.Drawing.Size(150, 75);
+      this.pbMySQL.SizeMode = System.Windows.Forms.PictureBoxSizeMode.Zoom;
+      this.pbMySQL.TabIndex = 12;
+      this.pbMySQL.TabStop = false;
+      this.pbMySQL.Click += new System.EventHandler(this.pbMySQL_Click);
+      // 
+      // pbSQLServer
+      // 
+      this.pbSQLServer.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
+      this.pbSQLServer.Image = global::SetupTv.Properties.Resources.logo_MSSQL;
+      this.pbSQLServer.Location = new System.Drawing.Point(19, 41);
+      this.pbSQLServer.Name = "pbSQLServer";
+      this.pbSQLServer.Size = new System.Drawing.Size(150, 75);
+      this.pbSQLServer.SizeMode = System.Windows.Forms.PictureBoxSizeMode.Zoom;
+      this.pbSQLServer.TabIndex = 11;
+      this.pbSQLServer.TabStop = false;
+      this.pbSQLServer.Click += new System.EventHandler(this.pbSQLServer_Click);
+      // 
       // SetupDatabaseForm
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.ClientSize = new System.Drawing.Size(397, 467);
+      this.ClientSize = new System.Drawing.Size(585, 467);
       this.Controls.Add(this.gbConnectionSetup);
       this.Controls.Add(this.btnTest);
       this.Controls.Add(this.mpLabel1);
@@ -338,6 +366,7 @@ namespace SetupTv
       this.gbDbLogon.PerformLayout();
       this.gbServerLocation.ResumeLayout(false);
       this.gbServerLocation.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.pbSQLite)).EndInit();
       ((System.ComponentModel.ISupportInitialize)(this.pbMySQL)).EndInit();
       ((System.ComponentModel.ISupportInitialize)(this.pbSQLServer)).EndInit();
       this.ResumeLayout(false);
@@ -370,5 +399,7 @@ namespace SetupTv
     private MediaPortal.UserInterface.Controls.MPLabel lblDbName;
     private MediaPortal.UserInterface.Controls.MPButton btnDrop;
     private System.Windows.Forms.Label labelPwd;
+    public System.Windows.Forms.RadioButton rbSqlite;
+    private System.Windows.Forms.PictureBox pbSQLite;
   }
 }
\ No newline at end of file
